org.bdgenomics.adam.rdd.read.recalibration

# RecalibrationTable

#### class RecalibrationTable extends (DecadentRead) ⇒ Seq[QualityScore] with Serializable

Linear Supertypes
Serializable, Serializable, (DecadentRead) ⇒ Seq[QualityScore], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RecalibrationTable
2. Serializable
3. Serializable
4. Function1
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new RecalibrationTable(covariates: CovariateSpace, globalTable: Map[String, (Aggregate, QualityTable)])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def andThen[A](g: (Seq[QualityScore]) ⇒ A): (DecadentRead) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

7. #### def apply(read: DecadentRead): Seq[QualityScore]

   Definition Classes
     RecalibrationTable → Function1

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def compose[A](g: (A) ⇒ DecadentRead): (A) ⇒ Seq[QualityScore]

    Definition Classes
      Function1
    Annotations
      @unspecialized()

11. #### def computeExtrasDelta(maybeQualityEntry: Option[(Aggregate, ExtrasTables)], residueIndex: Int, extraValues: IndexedSeq[Seq[Option[Value]]], offset: Double): Double

12. #### def computeGlobalDelta(globalEntry: Option[(Aggregate, QualityTable)]): Double

13. #### def computeQualityDelta(qualityEntry: Option[(Aggregate, ExtrasTables)], offset: Double): Double

14. #### val covariates: CovariateSpace

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def getExtraValues(read: DecadentRead): IndexedSeq[Seq[Option[Value]]]

20. #### def getQualityEntry(quality: QualityScore, globalEntry: Option[(Aggregate, QualityTable)]): Option[(Aggregate, ExtrasTables)]

21. #### val globalTable: Map[String, (Aggregate, QualityTable)]

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### def lookup(residueWithIndex: (Residue, Int), globalEntry: Option[(Aggregate, QualityTable)], globalDelta: Double, extraValues: IndexedSeq[Seq[Option[Value]]]): QualityScore

25. #### val maxLogP: Double

26. #### val maxQualScore: QualityScore

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def qualityFromLogP(logP: Double): QualityScore

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from (DecadentRead) ⇒ Seq[QualityScore]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped